/// <reference types="node" />
export declare class HttpClient {
    static download(url: string, filename: string, headers?: any): Promise<void>;
    static getFileSHA1ByURL(url: string, headers?: any): Promise<{
        sha1: any;
        buffer: {};
    } | {
        sha1: any;
        buffer?: undefined;
    }>;
    static getJSON(url: string, headers?: any): Promise<any>;
    static get(url: string, headers?: any): Promise<{}>;
    /**
     * 推送buffer
     * @param url
     * @param data Buffer|FormData|JSON
     * @param headers
     */
    static post(url: string, data: Buffer, headers: any): Promise<{}>;
}
