/// <reference types="node" />
import { OutgoingHttpHeaders } from 'http';
export declare enum HTTP_STATUS {
    OK = 200,
    NOT_FOUND = 404,
    METHOD_NOT_ALLOWED = 405,
    NOT_ACCEPTABLE = 406,
    REQUEST_ENTITY_TOO_LARGE = 413
}
export declare class LarkResponse {
    data: object | string | Buffer;
    status: HTTP_STATUS;
    header: OutgoingHttpHeaders;
    constructor(data?: object | string | Buffer, status?: HTTP_STATUS, header?: OutgoingHttpHeaders);
    getData(): Buffer;
}
